Name:           libcacard
Version:        1.2.1
Release:        4.1
Summary:        Common Access Card (CAC) Emulation
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.qemu.org/
Source0:        http://wiki.qemu.org/download/qemu-%{version}.tar.bz2
Patch00:        0001-libcacard-build-vscclient-from-root-only.patch
Patch01:        0002-libcacard-use-LDFLAGS-to-produce-i686-with-cpu-i386.patch
BuildRequires:  nss-devel libtool python zlib-devel glib2-devel redhat-rpm-config

%description
Common Access Card (CAC) emulation library.

%package tools
Summary:        CAC Emulation tools
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description tools
CAC emulation tools.

%package devel
Summary:        CAC Emulation devel
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
CAC emulation development files.

%prep
%setup -n qemu-%{version} -q
%patch00 -p1
%patch01 -p1

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-guest-agent --target-list= --cpu=%{_arch}
make libcacard.la %{?_smp_mflags}
make vscclient

%install
rm -rf $RPM_BUILD_ROOT
make install-libcacard DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f
chmod +x $RPM_BUILD_ROOT/%{_libdir}/libcacard.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libcacard.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/cacard
%{_libdir}/pkgconfig/libcacard.pc
%{_libdir}/libcacard.so

%files tools
%defattr(-,root,root,-)
%{_bindir}/vscclient

%changelog
* Mon Jan 28 2013 Richard W.M. Jones <rjones@redhat.com> - 1.2.1-3
- Bump and rebuild for updated libseccomp.

* Mon Nov 26 2012 Alon Levy <alevy@redhat.com> 1.2.1-2
- fix building for i686 target.

* Tue Nov 20 2012 Alon Levy <alevy@redhat.com> 1.2.1-1
- libcacard independent repository is no longer used, qemu contains it as
  a subdirectory. Switch and update version number to qemu's.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 09 2011 Alon Levy <alevy@redhat.com> - 0.1.2-1
- upstream update
 - upstream updated to 0.1.2 (no rpm was done for this version)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Alon Levy <alevy@redhat.com> - 0.1.0-4
- address review issues:
 - Group for main and devel and tools
 - Requires for devel and tools
- fix changelog for previous entry (day was wrong, and macro quoting)
* Sat Dec 11 2010 Alon Levy <alevy@redhat.com> - 0.1.0-3
- address review issues: defattr typo, %%doc at %%files, remove .*a from install
* Thu Dec 9 2010 Alon Levy <alevy@redhat.com> - 0.1.0-2
- address prereview issues.
* Thu Dec 9 2010 Alon Levy <alevy@redhat.com> - 0.1.0-1
- initial package.

